/* ==============================
   1. CSS Variables
============================== */
:root {
  /* Colors */
  --background: hsl(0, 0%, 98%);
  --color-primary: #fbea68;
  --color-secondary: #524c21;
  --light-hover-primary: #f6fbe9;
  --light-color-primary: #fbea6837;
  --bg-light-color-primary: #fbea6817;
  --light-secondary: #e9eef5;
  --light-secondary-hover: #e9eef5;
  --light-bg-color-secondary: rgba(111, 157, 241, 0.104);
  --light-hover-bg: #f8f8f8;
  --light-color: #e9e9e9;
  --bg-light-color-danger: #fde8e8;
  --danger-color: #dc3545;
  /* --form-border: #aaa; */
  --form-border: #dbdbdb;
  --form-shadow: 0 0 3px -1px #fbea68;
  --form-shadow-color: #fbea68;
  --color-grey: #e9eef5;
  --text-color: #555;
  --color-danger: #dc2626;
  /* --secondary:#9ca3af; */
  --text-secondary: #6c757d;

  /* Typography */
  --fs-small: 12px;
  --fs-medium: 14px;
  --fs-large: 16px;

  /* Base Size */
  --font-size-base: 16px;

  /* Misc */
  --radius-16: 16px;
  --radius-12: 12px;
  --radius-10: 10px;
  --radius-8: 8px;

  --shadow: 0 1px 15px rgba(0, 0, 0, 0.04), 0 1px 6px rgba(0, 0, 0, 0.04);
  --transition-time-animate: 0.3s ease-out;
  --gray1: hsl(0, 0%, 99%);
  --gray2: hsl(0, 0%, 97.3%);
  --gray3: hsl(0, 0%, 95.1%);
  --gray4: hsl(0, 0%, 93%);
  --gray5: hsl(0, 0%, 90.9%);
  --gray6: hsl(0, 0%, 88.7%);
  --gray7: hsl(0, 0%, 85.8%);
  --gray8: hsl(0, 0%, 78%);
  --gray9: hsl(0, 0%, 56.1%);
  --gray10: hsl(0, 0%, 52.3%);
  --gray11: hsl(0, 0%, 43.5%);
  --gray12: hsl(0, 0%, 9%);

  --color-gray-150: #e9eef5;
  --color-slate-50: oklch(98.4% 0.003 247.858);
  --color-slate-100: oklch(96.8% 0.007 247.896);
  --color-slate-200: oklch(92.9% 0.013 255.508);
  --color-slate-300: oklch(86.9% 0.022 252.894);
  --color-slate-400: oklch(70.4% 0.04 256.788);
  --color-slate-500: oklch(55.4% 0.046 257.417);
  --color-slate-600: oklch(44.6% 0.043 257.281);
  --color-slate-700: oklch(37.2% 0.044 257.287);
  --color-slate-800: oklch(27.9% 0.041 260.031);
  --color-slate-900: oklch(20.8% 0.042 265.755);
  --color-slate-950: oklch(12.9% 0.042 264.695);

  --color-gray-50: var(--color-slate-50);
  --color-gray-100: var(--color-slate-100);
  --color-gray-200: var(--color-slate-200);
  --color-gray-300: var(--color-slate-300);
  --color-gray-400: var(--color-slate-400);
  --color-gray-500: var(--color-slate-500);
  --color-gray-600: var(--color-slate-600);
  --color-gray-700: var(--color-slate-700);
  --color-gray-800: var(--color-slate-800);
  --color-gray-900: var(--color-slate-900);
  --color-gray-950: var(--color-slate-950);
}

/* 
html {
  font-size: var(--font-size-base);
} */

.bg-gray {
  background-color: var(--color-slate-400);
}

/* ==============================
   2. Reset / Base Styles
============================== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.text-secondary {
  color: var(--text-secondary);
}

/* ==============================
   3. Headings Sizes
============================== */
h1 {
  font-size: 2rem;
}

h2 {
  font-size: 1.75rem;
}

h3 {
  font-size: 1.5rem;
}

h5 {
  font-size: 1rem;
}

h6 {
  font-size: 0.875rem;
}

/* heading */
h4 {
  font-size: 22px;
}

/* ==============================
   4. Buttons
============================== */
.btn {
  cursor: pointer;
  transition: var(--transition-time-animate);
  outline: none;
  box-shadow: none;
  /* border: none; */
}

.btn-primary {
  background-color: var(--color-primary);
  border: 1px solid var(--color-primary);
  color: #fff;
}

.btn-primary:hover {
  background-color: var(--color-primary);
  border: 1px solid var(--color-primary);
}

.btn-primary:active,
.btn-primary:focus,
.btn-primary:visited {
  outline: none;
  box-shadow: none;
}

.btn-outline-primary {
  color: var(--color-primary);
  border: 1px solid var(--color-primary);
}

.btn-outline-primary:hover {
  background-color: var(--color-primary);
  color: #fff;
}

.btn-secondary {
  background-color: var(--light-primary);
  color: #555;
  border-color: var(--light-primary);
}

.btn-secondary:hover {
  background-color: var(--light-primary-hover);
  color: #333;
}

.btn-outline-secondary {
  background-color: #fff;
  color: var(--light-primary);
  border-color: var(--light-primary);
}

.btn-outline-secondary:hover {
  background-color: var(--light-primary-hover);
  border-color: var(--light-primary);
}

/* ==============================
   5. Cards
============================== */
.myCard {
  background-color: #fff;
  border-radius: 20px;
  box-shadow: var(--shadow);
  padding: 20px;
}

.bg-light-primary {
  background-color: var(--light-color-primary);
}

/* ==============================
   6. Forms & Inputs
============================== */
input[type="checkbox"] {
  accent-color: var(--color-primary);
}

/* input[type="file"]::file-selector-button {
  background-color: var(--color-primary);
  color: #fff;
}
input[type="file"]::file-selector-button:hover {
  background-color: var(--color-primary)!important;
  color: #000!important;
} */
/* ==============================
   7. Tables
============================== */
table td,
table th {
  vertical-align: middle;
  border-bottom: inherit !important;
}

/* ==============================
   8. Links & Images
============================== */
a {
  display: inline-block;
  text-decoration: none;
  color: initial;
}

a:hover {
  color: initial;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

/* ==============================
   9. Scrollbar Customization
============================== */
.team-member-div::-webkit-scrollbar,
.left-sidebar-variable::-webkit-scrollbar,
.submenu::-webkit-scrollbar,
.activity__table-div::-webkit-scrollbar,
.added-prd-card::-webkit-scrollbar,
.option::-webkit-scrollbar,
.table-tab .nav-tabs::-webkit-scrollbar,
.recentOrderCard::-webkit-scrollbar,
div.dt-container.dt-empty-footer .dt-scroll-body::-webkit-scrollbar,
.upcoming-task-card::-webkit-scrollbar,
.legend-box::-webkit-scrollbar,
.kanban-board::-webkit-scrollbar,
.no-installment-card::-webkit-scrollbar,
.transaction-activity-card::-webkit-scrollbar,
.dropdown-div-item.notification::-webkit-scrollbar,
.table-responsive::-webkit-scrollbar,
.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar,
.search-drop::-webkit-scrollbar,
.sidebar::-webkit-scrollbar {
  width: 3px;
  height: 3px;
}

.team-member-div::-webkit-scrollbar-thumb,
.left-sidebar-variable::-webkit-scrollbar-thumb,
.submenu::-webkit-scrollbar-thumb,
.activity__table-div::-webkit-scrollbar-thumb,
.added-prd-card::-webkit-scrollbar-thumb,
.option::-webkit-scrollbar-thumb,
.table-tab .nav-tabs::-webkit-scrollbar-thumb,
.recentOrderCard::-webkit-scrollbar-thumb,
div.dt-container.dt-empty-footer .dt-scroll-body::-webkit-scrollbar-thumb,
.upcoming-task-card::-webkit-scrollbar-thumb,
.legend-box::-webkit-scrollbar-thumb,
.kanban-board::-webkit-scrollbar-thumb,
.no-installment-card::-webkit-scrollbar-thumb,
.transaction-activity-card::-webkit-scrollbar-thumb,
.dropdown-div-item.notification::-webkit-scrollbar-thumb,
.table-responsive::-webkit-scrollbar-thumb,
.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar-thumb,
.search-drop::-webkit-scrollbar-thumb,
.sidebar::-webkit-scrollbar-thumb {
  background-color: #e1e1e1;
  border-radius: 10px;
}

.team-member-div::-webkit-scrollbar-button,
.left-sidebar-variable::-webkit-scrollbar-button,
.submenu::-webkit-scrollbar-button,
.activity__table-div::-webkit-scrollbar-button,
.added-prd-card::-webkit-scrollbar-button,
.option::-webkit-scrollbar-button,
.recentOrderCard::-webkit-scrollbar-button,
div.dt-container.dt-empty-footer .dt-scroll-body::-webkit-scrollbar-button,
.upcoming-task-card::-webkit-scrollbar-button,
.legend-box::-webkit-scrollbar-button,
.kanban-board::-webkit-scrollbar-button,
.no-installment-card::-webkit-scrollbar-button,
.transaction-activity-card::-webkit-scrollbar-button,
.dropdown-div-item.notification::-webkit-scrollbar-button,
.table-responsive::-webkit-scrollbar-button,
.select2-container--default .select2-results>.select2-results__options::-webkit-scrollbar-button,
.search-drop::-webkit-scrollbar-button,
.sidebar::-webkit-scrollbar-button {
  display: none;
}

/* ==============================
   10. Utilities
============================== */
.text-primary {
  color: var(--color-primary) !important;
}

.color-primary {
  color: var(--color-primary);
}

.color-grey {
  color: var(--color-grey);
}

.small-text {
  font-size: 14px;
}

.fs-sm {
  font-size: var(--fs-small) !important;
}

.fs-md {
  font-size: var(--fs-medium) !important;
}

.fs-lg {
  font-size: var(--fs-large) !important;
}

.fw-500 {
  font-weight: 500;
}

.bold-heading {
  font-size: 18px;
  font-weight: 500;
  font-family: "Acumin-semibold" !important;
}

.small-card-heading {
  font-size: 0.9em;
  font-weight: 600;
  color: #333;
}


.form-card {
  max-width: 1300px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}

.sm-btn {
  height: 30px;
  padding: 2px 8px;
  font-size: .875em;
}

@media screen and (max-width: 1550px) {
  .form-card {
    max-width: 1080px;
  }
}

@media screen and (max-width: 1366px) {
  .small-card-heading {
    font-size: 1.1em;
    font-weight: 600;
    color: #333;
  }

  .form-card {
    max-width: 980px;
  }
}